<bugID>524952<Summary>Modal dialogs not shown in win 7 taskbar</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.3a1pre) Gecko/20091027 Minefield/3.7a1pre (.NET CLR 3.5.30729)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.3a1pre) Gecko/20091027 Minefield/3.7a1pre (.NET CLR 3.5.30729)

If I open the "Options" modal dialog it isn't shown in the tab/window listing of the Windows Seven taskbar.

1. Why is "Options" modal at all?
2. It's a little bit confusing, that it isn't shown in the tab/window listing (even though it's modal).
3. It get's even more confusing if I open the "Addons" window out of the "Options" dialog, which won't be shown in the listing either(, because windows opened from modal windows are modal, too: Bug 256555. If I would open "Addons" normally, it would be in the listing.)
4. The point of modal dialogs is not to permit any other user action associated with the application. But I can still close tabs using the Windows 7 tab/window listing.

And now it get's really funny:
I open a prompt("Are you really sure you want to delete this entry?");. Obviously it is modal. Now I close the parent tab using the tab listing: The prompt() is still there. (If I now click on either "OK" or "Cancel" the prompt() will close and nothing will happen.)

Little bit odd, can something be done about it?

Reproducible: Always</Description></bugID>